com.smartgwt.client.widgets

## Class UserSummary

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.UserSummary

-     public class UserSummary
      extends DataClass

  An object representing a user-created and user-modifiable summary, which can be created and edited with a SummaryBuilder either directly or via the `canAddSummaryFields` behavior.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSummary()`
    `UserSummary(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `UserSummary(java.lang.String text)`
    `UserSummary(java.lang.String text, java.util.Map summaryVars)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserSummary` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.util.Map` | `getSummaryVars()` Map from the all-capital letter names used as summary variables in the `summary` String to the fieldNames these variables should represent in the context where the summary is evaluated.
    `java.lang.String` | `getText()` Summary to be evaluated.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setSummaryVars(java.util.Map summaryVars)` Map from the all-capital letter names used as summary variables in the `summary` String to the fieldNames these variables should represent in the context where the summary is evaluated.
    `void` | `setText(java.lang.String text)` Summary to be evaluated.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSummary

          public UserSummary()

    - #### UserSummary

          public UserSummary(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### UserSummary

          public UserSummary(java.lang.String text)

    - #### UserSummary

          public UserSummary(java.lang.String text,
                     java.util.Map summaryVars)

  - ### Method Detail

    - #### getOrCreateRef

          public static UserSummary getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setSummaryVars

          public void setSummaryVars(java.util.Map summaryVars)

      Map from the all-capital letter names used as summary variables in the `summary` String to the fieldNames these variables should represent in the context where the summary is evaluated.
      Parameters:
        `summaryVars` - summaryVars Default value is null

    - #### getSummaryVars

          public java.util.Map getSummaryVars()

      Map from the all-capital letter names used as summary variables in the `summary` String to the fieldNames these variables should represent in the context where the summary is evaluated.
      Returns:
        Map

    - #### setText

          public void setText(java.lang.String text)

      Summary to be evaluated. All variables used by the summary must be all-capital letter names surrounded by braces and escaped with a # sign (eg #{A}). These are derived from field values for the record in question - see `summaryVars`.
      Parameters:
        `text` - . See `String`. Default value is null

    - #### getText

          public java.lang.String getText()

      Summary to be evaluated. All variables used by the summary must be all-capital letter names surrounded by braces and escaped with a # sign (eg #{A}). These are derived from field values for the record in question - see `summaryVars`.
      Returns:
        . See `String`